/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export class CellInfoDescription extends Description {
    constructor() {
        super();
        this.cu = null;
        this.be = 0;
        this.n = false;
        this.r = false;
        this.i = false;
        this.h = false;
        this.l = false;
        this.s = false;
        this.j = false;
        this.m = false;
        this.f = null;
        this.o = false;
        this.p = false;
        this.k = false;
        this.bg = 0;
        this.cp = null;
        this.am = 0;
        this.an = 0;
        this.bl = 0;
        this.bm = 0;
        this.ah = 0;
        this.ai = 0;
        this.ag = 0;
        this.bf = 0;
        this.bn = 0;
        this.q = false;
        this.ak = 0;
        this.af = 0;
        this.cj = null;
        this.cw = null;
        this.ch = null;
        this.ci = null;
        this.cf = null;
        this.cg = null;
        this.ce = null;
        this.cq = null;
        this.cs = null;
        this.ct = null;
        this.cn = null;
        this.ck = null;
        this.aj = 0;
        this.cm = null;
        this.co = null;
        this.cv = null;
        this._fontFamily = null;
        this._fontSize = 0;
        this._fontStyle = null;
        this._fontWeight = null;
        this.cl = null;
        this.al = 0;
        this.bi = 0;
        this.bk = 0;
        this.bj = 0;
        this.bh = 0;
        this.a7 = 0;
        this.a9 = 0;
        this.a8 = 0;
        this.a6 = 0;
        this.bb = 0;
        this.bd = 0;
        this.bc = 0;
        this.ba = 0;
        this.az = 0;
        this.a1 = 0;
        this.a0 = 0;
        this.ay = 0;
        this.a3 = 0;
        this.a5 = 0;
        this.a4 = 0;
        this.a2 = 0;
        this.cr = null;
    }
    get_type() {
        return "CellInfo";
    }
    get type() {
        return this.get_type();
    }
    get styleKey() {
        return this.cu;
    }
    set styleKey(a) {
        this.cu = a;
        this.e("StyleKey");
    }
    get dataRow() {
        return this.be;
    }
    set dataRow(a) {
        this.be = a;
        this.e("DataRow");
    }
    get isPositionDirty() {
        return this.n;
    }
    set isPositionDirty(a) {
        this.n = a;
        this.e("IsPositionDirty");
    }
    get isSizeDirty() {
        return this.r;
    }
    set isSizeDirty(a) {
        this.r = a;
        this.e("IsSizeDirty");
    }
    get isContentDirty() {
        return this.i;
    }
    set isContentDirty(a) {
        this.i = a;
        this.e("IsContentDirty");
    }
    get isBorderDirty() {
        return this.h;
    }
    set isBorderDirty(a) {
        this.h = a;
        this.e("IsBorderDirty");
    }
    get isLayerDirty() {
        return this.l;
    }
    set isLayerDirty(a) {
        this.l = a;
        this.e("IsLayerDirty");
    }
    get isStateDirty() {
        return this.s;
    }
    set isStateDirty(a) {
        this.s = a;
        this.e("IsStateDirty");
    }
    get isDataDirty() {
        return this.j;
    }
    set isDataDirty(a) {
        this.j = a;
        this.e("IsDataDirty");
    }
    get isPlaceholdContentNeeded() {
        return this.m;
    }
    set isPlaceholdContentNeeded(a) {
        this.m = a;
        this.e("IsPlaceholdContentNeeded");
    }
    get actionManager() {
        return this.f;
    }
    set actionManager(a) {
        this.f = a;
        this.e("ActionManager");
    }
    get isRowPinned() {
        return this.o;
    }
    set isRowPinned(a) {
        this.o = a;
        this.e("IsRowPinned");
    }
    get isRowSticky() {
        return this.p;
    }
    set isRowSticky(a) {
        this.p = a;
        this.e("IsRowSticky");
    }
    get isLastStickyRow() {
        return this.k;
    }
    set isLastStickyRow(a) {
        this.k = a;
        this.e("IsLastStickyRow");
    }
    get indent() {
        return this.bg;
    }
    set indent(a) {
        this.bg = a;
        this.e("Indent");
    }
    get rowItemRef() {
        return this.cp;
    }
    set rowItemRef(a) {
        this.cp = a;
        this.e("RowItemRef");
    }
    get x() {
        return this.am;
    }
    set x(a) {
        this.am = a;
        this.e("X");
    }
    get y() {
        return this.an;
    }
    set y(a) {
        this.an = a;
        this.e("Y");
    }
    get snappedX() {
        return this.bl;
    }
    set snappedX(a) {
        this.bl = a;
        this.e("SnappedX");
    }
    get snappedY() {
        return this.bm;
    }
    set snappedY(a) {
        this.bm = a;
        this.e("SnappedY");
    }
    get contentOpacity() {
        return this.ah;
    }
    set contentOpacity(a) {
        this.ah = a;
        this.e("ContentOpacity");
    }
    get opacity() {
        return this.ai;
    }
    set opacity(a) {
        this.ai = a;
        this.e("Opacity");
    }
    get actualOpacity() {
        return this.ag;
    }
    set actualOpacity(a) {
        this.ag = a;
        this.e("ActualOpacity");
    }
    get height() {
        return this.bf;
    }
    set height(a) {
        this.bf = a;
        this.e("Height");
    }
    get width() {
        return this.bn;
    }
    set width(a) {
        this.bn = a;
        this.e("Width");
    }
    get isSelected() {
        return this.q;
    }
    set isSelected(a) {
        this.q = a;
        this.e("IsSelected");
    }
    get selectedStatus() {
        return this.ak;
    }
    set selectedStatus(a) {
        this.ak = a;
        this.e("SelectedStatus");
    }
    get activationStatus() {
        return this.af;
    }
    set activationStatus(a) {
        this.af = a;
        this.e("ActivationStatus");
    }
    get horizontalAlignment() {
        return this.cj;
    }
    set horizontalAlignment(a) {
        this.cj = a;
        this.e("HorizontalAlignment");
    }
    get verticalAlignment() {
        return this.cw;
    }
    set verticalAlignment(a) {
        this.cw = a;
        this.e("VerticalAlignment");
    }
    get background() {
        return this.ch;
    }
    set background(a) {
        this.ch = a;
        this.e("Background");
    }
    get border() {
        return this.ci;
    }
    set border(a) {
        this.ci = a;
        this.e("Border");
    }
    get actualBackground() {
        return this.cf;
    }
    set actualBackground(a) {
        this.cf = a;
        this.e("ActualBackground");
    }
    get actualBorder() {
        return this.cg;
    }
    set actualBorder(a) {
        this.cg = a;
        this.e("ActualBorder");
    }
    get activationBorder() {
        return this.ce;
    }
    set activationBorder(a) {
        this.ce = a;
        this.e("ActivationBorder");
    }
    get selectedBackground() {
        return this.cq;
    }
    set selectedBackground(a) {
        this.cq = a;
        this.e("SelectedBackground");
    }
    get sortIndicatorColor() {
        return this.cs;
    }
    set sortIndicatorColor(a) {
        this.cs = a;
        this.e("SortIndicatorColor");
    }
    get stickyRowBackground() {
        return this.ct;
    }
    set stickyRowBackground(a) {
        this.ct = a;
        this.e("StickyRowBackground");
    }
    get pinnedRowBackground() {
        return this.cn;
    }
    set pinnedRowBackground(a) {
        this.cn = a;
        this.e("PinnedRowBackground");
    }
    get lastStickyRowBackground() {
        return this.ck;
    }
    set lastStickyRowBackground(a) {
        this.ck = a;
        this.e("LastStickyRowBackground");
    }
    get pinnedRowOpacity() {
        return this.aj;
    }
    set pinnedRowOpacity(a) {
        this.aj = a;
        this.e("PinnedRowOpacity");
    }
    get originalValueRef() {
        return this.cm;
    }
    set originalValueRef(a) {
        this.cm = a;
        this.e("OriginalValueRef");
    }
    get renderValue() {
        return this.co;
    }
    set renderValue(a) {
        this.co = a;
        this.e("RenderValue");
    }
    get textColor() {
        return this.cv;
    }
    set textColor(a) {
        this.cv = a;
        this.e("TextColor");
    }
    get fontFamily() {
        return this._fontFamily;
    }
    set fontFamily(a) {
        this._fontFamily = a;
    }
    get fontSize() {
        return this._fontSize;
    }
    set fontSize(a) {
        this._fontSize = a;
    }
    get fontStyle() {
        return this._fontStyle;
    }
    set fontStyle(a) {
        this._fontStyle = a;
    }
    get fontWeight() {
        return this._fontWeight;
    }
    set fontWeight(a) {
        this._fontWeight = a;
    }
    get lineBreakMode() {
        return this.cl;
    }
    set lineBreakMode(a) {
        this.cl = a;
        this.e("LineBreakMode");
    }
    get virtualizationPercentage() {
        return this.al;
    }
    set virtualizationPercentage(a) {
        this.al = a;
        this.e("VirtualizationPercentage");
    }
    get paddingLeft() {
        return this.bi;
    }
    set paddingLeft(a) {
        this.bi = a;
        this.e("PaddingLeft");
    }
    get paddingTop() {
        return this.bk;
    }
    set paddingTop(a) {
        this.bk = a;
        this.e("PaddingTop");
    }
    get paddingRight() {
        return this.bj;
    }
    set paddingRight(a) {
        this.bj = a;
        this.e("PaddingRight");
    }
    get paddingBottom() {
        return this.bh;
    }
    set paddingBottom(a) {
        this.bh = a;
        this.e("PaddingBottom");
    }
    get actualPaddingLeft() {
        return this.a7;
    }
    set actualPaddingLeft(a) {
        this.a7 = a;
        this.e("ActualPaddingLeft");
    }
    get actualPaddingTop() {
        return this.a9;
    }
    set actualPaddingTop(a) {
        this.a9 = a;
        this.e("ActualPaddingTop");
    }
    get actualPaddingRight() {
        return this.a8;
    }
    set actualPaddingRight(a) {
        this.a8 = a;
        this.e("ActualPaddingRight");
    }
    get actualPaddingBottom() {
        return this.a6;
    }
    set actualPaddingBottom(a) {
        this.a6 = a;
        this.e("ActualPaddingBottom");
    }
    get borderLeftWidth() {
        return this.bb;
    }
    set borderLeftWidth(a) {
        this.bb = a;
        this.e("BorderLeftWidth");
    }
    get borderTopWidth() {
        return this.bd;
    }
    set borderTopWidth(a) {
        this.bd = a;
        this.e("BorderTopWidth");
    }
    get borderRightWidth() {
        return this.bc;
    }
    set borderRightWidth(a) {
        this.bc = a;
        this.e("BorderRightWidth");
    }
    get borderBottomWidth() {
        return this.ba;
    }
    set borderBottomWidth(a) {
        this.ba = a;
        this.e("BorderBottomWidth");
    }
    get activationBorderLeftWidth() {
        return this.az;
    }
    set activationBorderLeftWidth(a) {
        this.az = a;
        this.e("ActivationBorderLeftWidth");
    }
    get activationBorderTopWidth() {
        return this.a1;
    }
    set activationBorderTopWidth(a) {
        this.a1 = a;
        this.e("ActivationBorderTopWidth");
    }
    get activationBorderRightWidth() {
        return this.a0;
    }
    set activationBorderRightWidth(a) {
        this.a0 = a;
        this.e("ActivationBorderRightWidth");
    }
    get activationBorderBottomWidth() {
        return this.ay;
    }
    set activationBorderBottomWidth(a) {
        this.ay = a;
        this.e("ActivationBorderBottomWidth");
    }
    get actualBorderLeftWidth() {
        return this.a3;
    }
    set actualBorderLeftWidth(a) {
        this.a3 = a;
        this.e("ActualBorderLeftWidth");
    }
    get actualBorderTopWidth() {
        return this.a5;
    }
    set actualBorderTopWidth(a) {
        this.a5 = a;
        this.e("ActualBorderTopWidth");
    }
    get actualBorderRightWidth() {
        return this.a4;
    }
    set actualBorderRightWidth(a) {
        this.a4 = a;
        this.e("ActualBorderRightWidth");
    }
    get actualBorderBottomWidth() {
        return this.a2;
    }
    set actualBorderBottomWidth(a) {
        this.a2 = a;
        this.e("ActualBorderBottomWidth");
    }
    get sortDirection() {
        return this.cr;
    }
    set sortDirection(a) {
        this.cr = a;
        this.e("SortDirection");
    }
}
CellInfoDescription.$t = markType(CellInfoDescription, 'CellInfoDescription', Description.$);
